
%define realname   Hook-Output-File
%define version    0.06
%define release    %mkrel 1

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Redirect STDOUT/STDERR to a file
Source:     http://www.cpan.org/modules/by-module/Hook/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildRequires: perl(Carp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Capture)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Handle)
BuildRequires: perl(Module::Build::Compat)

BuildArch: noarch

%description
'Hook::Output::File' redirects 'STDOUT/STDERR' to a file.





%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Mar 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2009.1
+ Revision: 348536
- update to new version 0.06

* Wed Feb 18 2009 Jérôme Quelin <jquelin@mandriva.org> 0.05-1mdv2009.1
+ Revision: 342374
- update to new version 0.05

* Tue Jan 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.04-1mdv2009.1
+ Revision: 331591
- import perl-Hook-Output-File


* Tue Jan 20 2009 cpan2dist 0.04-1mdv
- initial mdv release, generated with cpan2dist

